Subject: bug#66738 30.0.50; Gud LLDB regressions

From: Mattias Engdegård <[email-masked]>
Date: Wed, 25 Oct 2023 10:32:10 +0200

> 1. M-x lldb RET leads to errors. *Messages* contains:
> 
> error in process filter: gud-marker-filter: Text is read-only
> error in process filter: Text is read-only

Sorry, I don't observe this myself.

> I think this can also be seen
> when binding inhibit-read-only around the delete-region.

That sounds strange. Did you bind inhibit-read-only to `t`? That should have overridden any text protection.
Unless I can reproduce it, I'm afraid you are left with the task to debug it.

> 2. Nitpick: when extracting the file name in the filter function, with
> 
>              (group (+ (not (in "\n\r"))))    ; 3: file
> 
> this means that file names cannot contain LF and CR, which they actually
> can.

And that is a possibility that I'm going to ignore unless it's actually a security problem (and I don't think it is).
File names containing control characters on purpose are excessively rare in Unix systems and disallowed on Windows (at least 0-31).

> I guess the only thing a file name definitely cannot contain is
> '/'.

/ is trivially allowed in path names; only NUL is disallowed. I'm not sure to what extent we can trust LLDB to normalise line.file.fullpath.